:root {
    --white: #f7faf7;
    --black: #010101;
    --background: #202020;
    --darkBackground: #0f0f0f;
    --lightBackground: #303030;
    --darkGreen: #142016;
    --green: #38563d;
    --lightGreen: #6B8F71;
    --lighterGreen: #afd0b5;
    --lightestGreen: #cdeed4;
}

* {
    box-sizing: border-box;
}




/*---Navbar---*/

.navbar {
    width: 100%;
    background-color: var(--darkBackground);
    border: 0 solid var(--darkGreen);
    border-width: 0 0 2px 0;
    padding: 15px 20px;
    display: flex;
    justify-content: center;
    position: sticky;
    top: 0;
}

.navLogo a {
    font-size: 35px;
    color: var(--lightGreen);
    font-weight: bold;
}

.navLogo a:hover {
    color: var(--lighterGreen);
    text-decoration: none;
    transform: none;
}

.navbarContainer {
    width: 100%;
    max-width: 1160px;
    display: flex;
    flex-direction: row;
    gap: 30px;
    justify-content: space-between;
    align-items: center;
}

.navMenu {
    width: 350px;
    list-style: none;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 0;
    margin: 0;
}

.navLink {
    color: var(--white);
    text-decoration: none;
}

.navLink:hover {
    color: var(--lightGreen);
    transform: none;
}

.navLink.active {
    color: var(--lightGreen);
    text-decoration: underline;
}




/*---Main-Reusable-Elements---*/

body {
    margin: 0;
    background-color: var(--background);
    color: var(--white);
    font-family: 'ubuntu mono', sans-serif, system-ui;
    font-size: large;
}


.mainBody {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 10px 40px;
}


.mainBodyContainer {
    max-width: 1000px;
    padding: 5px 20px;
    width: 100%;
}


.mainBodyMasonryContainer {
    width: 100%;
    column-gap: 20px;
}

.mainBodyMasonryContainer.small {
    column-width: 250px;
}

.mainBodyMasonryContainer.medium {
    column-width: 350px;
}

.mainBodyMasonryContainer.large {
    column-width: 450px;
}

.mainBodyMasonryContainer > * {
    break-inside: avoid;
    margin-bottom: 20px;
}


.lightBox {
    background-color: var(--lightBackground);
    border-radius: 20px;
}


.flare {
    color: var(--lightGreen);
    text-shadow: 2px 2px var(--black);
}


h1 {
    color: var(--lightGreen);
}


a {
    display: inline-block;
    color: var(--lightGreen);
    text-decoration: none;
    transition: color 0.1s ease-in-out, transform 0.2s ease;
}

a:hover {
    color: var(--lighterGreen);
    text-decoration: underline;
    transform: scale(1.03);
}


.linkList {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.linkList.noBullets {
    list-style: none;
    padding-left: 20px;
    gap: 10px;
}


table {
    border: 1px solid var(--lightGreen);
    border-collapse: collapse;
    width: 100%;
    text-align: left;
    color: var(--lightstGreen);
}

td, th {
    border: 1px solid var(--lightGreen);
}

td {
    padding: 1px;
}

tr:nth-child(even) {
    background-color: var(--darkBackground);
}




/*---Misc-Css---*/

#quickLinkTitle {
    margin-right: 100px;
    margin-left: 10px;
}

#quickLinkWebsiteTitle {
    position: absolute;
    right: 20px;
    top: 30px;
}

#quickLinkWebsiteIcon {
    cursor: pointer;
}

#quickLinkWebsiteIcon:hover {
    transform: none;
    text-decoration: none;
}

#quickLinkWebsiteIcon img{
    background-color: var(--lightBackground);
    border-radius: 20px;
    padding: 10px;
    width: 60px;
    height: 60px;
    position: absolute;
    top: 20px;
    right: 30px;
    display: none;
}

@media screen and (max-width: 850px) {
    #quickLinkWebsiteTitle {
        display: none;
    }

    #quickLinkWebsiteIcon img {
        display: block;
    }
}

.quickLink {
    font-size: 1.3rem;
}


#GUIDNumber {
    background-color: var(--lightGreen);
    color: var(--black);
    border-style: none;
    border-radius: 10px;
    padding: 3px;
    padding-left: 9px;
    width: 50px;
    font-family: 'ubuntu mono';
    outline: none;
}

#GUIDNumber:hover {
    background-color: var(--white);
}

#GUIDButton {
    background-color: var(--lightGreen);
    color: #151514;
    border-style: none;
    border-radius: 10px;
    padding: 3px;
    padding-left: 9px;
    padding-right: 9px;    
    font-family: 'ubuntu mono';
}

#GUIDButton:hover {
    background-color: var(--white);
}

#GUIDOutput {
    padding-left: 10px;
}


.boilerplate {
    white-space: pre;
    font-size: small;
    background-color: var(--lightBackground);
    font-weight: 450;
    width: 22rem;
    border-radius: 1rem;
    padding-left: 1rem;
    margin-left: 10%;
}

.boilerplateTitle {
    margin-left: 10%;
}


#asciiTable th:nth-child(1),
#asciiTable td:nth-child(1) {
    width: 70px;
}